Subject: RE: [Sip] Additional uses of INFO

From: "Drage, Keith (Keith)" <[email-masked]>
Date: Wed, 14 Jun 2006 17:38:43 +0100

And in terms of the questions I asked in relation to INFO, does this mean that you also consider that such usages should have the same level of review as an event package (as defined in RFC 3427), i.e. informational RFC with approval conditional on SIP expert review.

regards

Keith

> -----Original Message-----
> From: Dean Willis [mailto:[email-masked]]
> Sent: 14 June 2006 17:32
> To: Sip IETF
> Cc: Keith Drage; Jonathan Rosenberg
> Subject: Re: [Sip] Additional uses of INFO
> 
> 
> 
> And now, for a view from the other side of the peanut gallery:
> 
> I think INFO is potentially a great mechanism for exchanging  
> structured data  within dialog-bounded applications (perhaps not  
> extensions -- I don't agree that every new application should 
> require  
> a new extension), but that we've harnessed the power of that  
> mechanism poorly.
> 
> Currently, we lack both a mechanism for describing the usage 
> of INFO,  
> and a mechanism for negotiating that usage between nodes. If we were  
> to do anything further with it, it might make sense to emulate the  
> model of event packages, which so far seems to have worked 
> well enough.
> 
> I proposed this in:
> 
> http://www.softarmor.com/wgdb/docs/draft-willis-sip-infopackage-00.txt
> 
> 
> I personally think it's a really BAD idea to keep introducing 
> new SIP  
> extensions that just shuttle blobs of stuff between UAs. We 
> need only  
> one extension for this, and a way of cleanly declaring what 
> the stuff  
> is and what should be done with it and of finding out whether a  
> correspondent would understand that declaration. And yes, I think  
> MESSAGE is pretty much just INFO with its name changed to 
> protect the  
> innocent.
> 
> --
> Dean
> 
> 
> On Jun 14, 2006, at 11:02 AM, Jonathan Rosenberg wrote:
> 
> > Well, my opinion on INFO is that its an exceptionally poor 
> vehicle for
> > doing extensions. A long while back, I wrote an I-D called "INFO
> > considered harmful" which summarized my thinking on this:
> >
> > 
http://www.jdrosen.net/papers/draft-rosenberg-sip-info-harmful-00.txt
>
> The conclusion of the document is that we should limit INFO to its  
> only
> defined usage - for ISUP transport - and I still think this  
> conclusion makes sense.
>
>
>> My question is whether it is appropriate to provide some means of
>> clarifying other usages of the INFO method, and who should document
>> them. Should that occur in:
>> i)	An update or revision to RFC 2976 ii)	An update to RFC 3427 iii)
>> Anywhere else
>> regards
>> Keith
>> Keith Drage [email-masked] tel: +44 1793 776249
>> _______________________________________________ Sip mailing list

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Dean Willis <[email-masked]>
Date: Wed, 14 Jun 2006 22:45:01 -0500

That would be my preference. However, I'll agree that my position  
here is controversial.

--
Dean

On Jun 14, 2006, at 11:38 AM, Drage, Keith (Keith) wrote:

> And in terms of the questions I asked in relation to INFO, does  
> this mean that you also consider that such usages should have the  
> same level of review as an event package (as defined in RFC 3427),  
> i.e. informational RFC with approval conditional on SIP expert review.
>
> regards
>
> Keith
>